
Figure - Bug #118445
【IOVDEV-32233】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【设置】底层多任务栏同时存在
两个设置页面
2023-06-01 21:23 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.C102����【副屏版本号】：01.00.0100.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-02

Test Type: ST Root cause: 外部跳转 Settings 适配问题。

Description

环境信息】EE环境

【问题出现时间】：20230601 20：34

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.打开系统设置上滑手势返回主界面

2.主界面下滑手势进入控制中心

3.点击互联网按钮

4.选择一个连接的热点

【实际结果】

1.底层多任务栏同时存在两个设置页面

【期望结果】

1.底层多任务栏只能存在一个设置页面，操作3、4步骤时自动跳转到设置对应选项

【备注】：

【当前开机次数】：146

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-06-01 21:27 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118445

#2 - 2023-06-02 11:30 - CD FW-廖涛

- Status changed from New to ASSIGNED
- Assignee changed from CD FW-廖涛 to CD APP-王宏

Hi, 王宏:

帮忙看下 Recent 中出现两个 Settings 的原因。如果是启动方式的问题再转回给我，我来处理。

#3 - 2023-06-02 14:08 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD FW-廖涛

Hi 廖涛，

根据日志是开启了两个界面

2023-06-02 08:12:25.518 4790-17956/system_process I/ActivityTaskManager: START u0 {act=android.settings.WIFI_DETAILS_SETTINGS flg=0x14000000

cmp=com.android.settings/.Settings$WifiDetailsSettingsActivity (has extras)} from uid 10083

2023-06-02 08:12:25.795 4790-4897/system_process I/ActivityTaskManager: START u0 {act=android.settings.WIFI_DETAILS_SETTINGS flg=0x14000000

cmp=com.android.settings/.homepage.SettingsHomepageActivity (has extras)} from uid 1000

是否是这两个界面都有独立的进程导致的？

#4 - 2023-06-02 17:36 - CD FW-廖涛

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Root cause set to 外部跳转 Settings 适配问题。

■ Current conclusion

已处理，代码已提交。

■ Next action

等待 Review 入库。

#5 - 2023-06-02 19:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204332 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix navigate to Wifi Detail Page problem.TC-RID: 1201-0201801IssueID: TS-R-BUG-118445Change-Id:

I390512abf399c0472d37854f94897a1d43ae4930

#6 - 2023-06-02 19:22 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-02
■ Current conclusion

已处理，代码已入库。

■ Next action

测试验证。

#7 - 2023-06-03 17:52 - CDTS_Test 吴诗雨

已同步，设备跑测，周一验证

#8 - 2023-06-06 13:57 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在01.00.0108.C104版本验证通过

#9 - 2023-06-12 16:39 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to VERIFY_FAILED

0610版本，从控制中心的位置信息长按进入设置，出现两个设置。

#10 - 2023-06-12 16:39 - CDTS_Test 吴诗雨

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

#11 - 2023-06-12 16:40 - CDTS_Test 吴诗雨

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

从控制中心的位置信息长按进入设置，出现两个设置。另起bug跟踪，118745

#12 - 2023-06-12 16:41 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#13 - 2023-06-12 16:46 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-32233.zip 4.89 MB 2023-06-01 CDTS_Test 吴诗雨
